<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_71) on Wed Sep 05 14:57:27 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<title>CasePropriete</title>
<meta name="date" content="2018-09-05">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CasePropriete";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CasePropriete.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../main/CasePrison.html" title="class in main"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../main/CaseQuestion.html" title="class in main"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?main/CasePropriete.html" target="_top">Frames</a></li>
<li><a href="CasePropriete.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">main</div>
<h2 title="Class CasePropriete" class="title">Class CasePropriete</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../main/Case.html" title="class in main">main.Case</a></li>
<li>
<ul class="inheritance">
<li>main.CasePropriete</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">CasePropriete</span>
extends <a href="../main/Case.html" title="class in main">Case</a></pre>
<div class="block">Classe représentant une case Propriété, comprenant une couleur, un prix d'achat et des loyers à percevoir.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>genartv</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../main/Couleur.html" title="enum in main">Couleur</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/CasePropriete.html#couleur">couleur</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/CasePropriete.html#hypotheque">hypotheque</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/CasePropriete.html#loyers">loyers</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/CasePropriete.html#prix">prix</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.main.Case">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;main.<a href="../main/Case.html" title="class in main">Case</a></h3>
<code><a href="../main/Case.html#nom">nom</a>, <a href="../main/Case.html#type">type</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../main/CasePropriete.html#CasePropriete-java.lang.String-main.Couleur-int-int:A-">CasePropriete</a></span>(java.lang.String&nbsp;nom,
             <a href="../main/Couleur.html" title="enum in main">Couleur</a>&nbsp;couleur,
             int&nbsp;prix,
             int[]&nbsp;loyers)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../main/Couleur.html" title="enum in main">Couleur</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/CasePropriete.html#getCouleur--">getCouleur</a></span>()</code>
<div class="block">Retourne la couleur du groupe auquel appartient la carte.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/CasePropriete.html#getPrix--">getPrix</a></span>()</code>
<div class="block">Retourne le prix d'achat de la carte.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/CasePropriete.html#getPrixHypotheque--">getPrixHypotheque</a></span>()</code>
<div class="block">Retourne la valeur de la carte lorsqu'elle est hypothéquée.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/CasePropriete.html#isHypotheque--">isHypotheque</a></span>()</code>
<div class="block">Retourne true si la propriété est hypothéquée.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/CasePropriete.html#setHypotheque-boolean-">setHypotheque</a></span>(boolean&nbsp;hypotheque)</code>
<div class="block">Permet d'hypothéquer ou de déshypothéquer la propriété.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.main.Case">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;main.<a href="../main/Case.html" title="class in main">Case</a></h3>
<code><a href="../main/Case.html#getNom--">getNom</a>, <a href="../main/Case.html#getType--">getType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="couleur">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>couleur</h4>
<pre>protected&nbsp;<a href="../main/Couleur.html" title="enum in main">Couleur</a> couleur</pre>
</li>
</ul>
<a name="prix">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>prix</h4>
<pre>protected&nbsp;int prix</pre>
</li>
</ul>
<a name="loyers">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loyers</h4>
<pre>protected&nbsp;int[] loyers</pre>
</li>
</ul>
<a name="hypotheque">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hypotheque</h4>
<pre>protected&nbsp;boolean hypotheque</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CasePropriete-java.lang.String-main.Couleur-int-int:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CasePropriete</h4>
<pre>public&nbsp;CasePropriete(java.lang.String&nbsp;nom,
                     <a href="../main/Couleur.html" title="enum in main">Couleur</a>&nbsp;couleur,
                     int&nbsp;prix,
                     int[]&nbsp;loyers)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCouleur--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCouleur</h4>
<pre>public&nbsp;<a href="../main/Couleur.html" title="enum in main">Couleur</a>&nbsp;getCouleur()</pre>
<div class="block">Retourne la couleur du groupe auquel appartient la carte.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getPrix--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrix</h4>
<pre>public&nbsp;int&nbsp;getPrix()</pre>
<div class="block">Retourne le prix d'achat de la carte.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getPrixHypotheque--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrixHypotheque</h4>
<pre>public&nbsp;int&nbsp;getPrixHypotheque()</pre>
<div class="block">Retourne la valeur de la carte lorsqu'elle est hypothéquée.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="isHypotheque--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isHypotheque</h4>
<pre>public&nbsp;boolean&nbsp;isHypotheque()</pre>
<div class="block">Retourne true si la propriété est hypothéquée.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="setHypotheque-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setHypotheque</h4>
<pre>public&nbsp;void&nbsp;setHypotheque(boolean&nbsp;hypotheque)</pre>
<div class="block">Permet d'hypothéquer ou de déshypothéquer la propriété.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hypotheque</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CasePropriete.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../main/CasePrison.html" title="class in main"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../main/CaseQuestion.html" title="class in main"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?main/CasePropriete.html" target="_top">Frames</a></li>
<li><a href="CasePropriete.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
